Package weka.classifiers.trees.ht

# Class UnivariateNominalMultiwaySplit

java.lang.Object
weka.classifiers.trees.ht.Split
weka.classifiers.trees.ht.UnivariateNominalMultiwaySplit

All Implemented Interfaces:
  `Serializable`

public class UnivariateNominalMultiwaySplit extends Split implements Serializable
A multiway split based on a single nominal attribute

Version:
  $Revision: 9705 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz), Mark Hall (mhall{[at]}pentaho{[dot]}com)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnivariateNominalMultiwaySplit(String attName)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `branchForInstance(Instance inst)`
  Returns the name of the branch that the supplied instance would go down
  `String`
  `conditionForBranch(String branch)`
  Returns the condition for the supplied branch name

  ### Methods inherited from class weka.classifiers.trees.ht.Split

  `splitAttributes`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnivariateNominalMultiwaySplit

    public UnivariateNominalMultiwaySplit(String attName)
    Constructor
    Parameters:
      `attName` - the name of the attribute to split on

- ## Method Details

  - ### branchForInstance

    public String branchForInstance(Instance inst)
    Description copied from class: `Split`
    Returns the name of the branch that the supplied instance would go down
    Specified by:
      `branchForInstance` in class `Split`
    Parameters:
      `inst` - the instance to find the branch for
    Returns:
      the name of the branch that the instance would go down

  - ### conditionForBranch

    public String conditionForBranch(String branch)
    Description copied from class: `Split`
    Returns the condition for the supplied branch name
    Specified by:
      `conditionForBranch` in class `Split`
    Parameters:
      `branch` - the name of the branch to get the condition for
    Returns:
      the condition (test) that corresponds to the named branch